import React from "react";
import { FormElement } from "../formElement";
import { ButtonProps } from "../../Button";
export declare type DateInputProps = FormElement<Date> & {
    buttonType?: ButtonProps["type"];
    color?: ButtonProps["color"];
    format?: Intl.DateTimeFormatOptions;
    locale?: string;
};
export declare const DateInput: React.FunctionComponent<DateInputProps>;
